#!/bin/bash

# Source package is here : http://ftp.isc.org/isc/bind9/9.4.3/bind-9.4.3.tar.gz
# Maintainer : Son|c <emmanuel.bailleul@cegetel.net>

soft='dnstools'
softversion='9.4.3'
packageversion='54.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/bind-$softversion.tar.gz"
src="$buildir/bind-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest

export CFLAGS="-O2 -march=$arch -mtune=$cpu" 

cd $src
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
--datarootdir=/usr

make
make install DESTDIR=$dest

cd $dest
rm -rf etc var
cd usr
rm -rf sbin include lib man/man3 man/man5 man/man8 bin/isc-config.sh bin/nsupdate

cd $buildir
chown -R root.root $dest

( cd $dest
  find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
)
( cd $dest/usr/man
  find . -name "*.?" | xargs gzip -9
)

mkdir -p $dest/usr/doc/$soft-$softversion
cd $src
cp -a \
  CHANGES COPYRIGHT FAQ* README \
  $dest/usr/doc/$soft-$softversion
chown -R root.root $dest/usr/doc/$soft-$softversion
chmod -R 755 $dest/usr/doc/$soft-$softversion
chmod -R 644 $dest/usr/doc/$soft-$softversion/*

mkdir -p $dest/install 
cat << EOF  > $dest/install/slack-desc
       |-----handy-ruler------------------------------------------------------|
dnstools: bind client tools
dnstools:
dnstools: This package provides the tools to verify proper operation of
dnstools: DNS Servers. It includes nslookup, dig and host.
dnstools: 
dnstools:
dnstools:
dnstools:
dnstools:
dnstools:
dnstools:
EOF


mkdir -p $dest/usr/src/$soft-$softversion
( cd $buildir
cp -a build-$soft.sh $dest/usr/src/$soft-$softversion/
)

#------------------( Create The *.dep Files )
cd $dest
requiredbuilder -z $dest > $buildir/$package.dep

makepkg -l y -c n $package.tgz
mv $package.tgz $buildir

# computes the md5sum signature for the package
cd $buildir
md5sum $package.tgz > $package.md5

# Create source file
echo "http://ftp.isc.org/isc/bind9/9.4.3/bind-9.4.3.tar.gz" > $package.src
echo "http://download.zenwalk.org/people/emmanuel/$soft-$softversion/build-$softname.sh" >> $package.src

